dyn.load("/home/LAMIA/pfreeman/lib/libcfitsio.so",local=F)
dyn.load("/home/LAMIA/pfreeman/lib/librfits.so",local=F)

rfits_get_num_hdus = function(file)
{
  numhdus = .Call("rfits_get_num_hdus",as.character(file))
  return(numhdus)
}

rfits_get_hdu_type = function(file,hdu=1)
{
  hdutype = .Call("rfits_get_hdu_type",as.character(file),as.integer(hdu))
  return(hdutype)
}

rfits_read_image = function(file,hdu=1)
{
  data = .Call("rfits_read_image",as.character(file),as.integer(hdu))
  return(data)
}

rfits_get_col_names = function(file,hdu=1)
{
  data = .Call("rfits_get_col_names",as.character(file),as.integer(hdu))
  return(data)
}

rfits_read_col = function(file,col=1,width=1,hdu=2)
{
  if ( is.character(col) ) {
    data = .Call("rfits_read_col",as.character(file),as.character(col),
                 as.integer(width),as.integer(hdu),1)
  } else {
    data = .Call("rfits_read_col",as.character(file),as.integer(col),
                 as.integer(width),as.integer(hdu),0)
  }
  return(data)
}

#
# returns string containing keyword value...must test for numeric type
#
rfits_read_key = function(file,key,hdu=2)
{
  data = .Call("rfits_read_key",as.character(file),as.character(key),
               as.integer(hdu))
  if ( is.na(as.double(data)) == FALSE ) return(as.double(data))
  return(data)
}

