#ifndef rfits_h__
#define rfits_h__

#include <R.h>
#include <Rinternals.h>
#include "fitsio.h"

extern SEXP rfits_get_num_hdus(SEXP);
extern SEXP rfits_get_hdu_type(SEXP,SEXP);
extern SEXP rfits_read_image(SEXP,SEXP);
extern SEXP rfits_get_col_names(SEXP,SEXP);
extern SEXP rfits_read_col(SEXP,SEXP,SEXP,SEXP,SEXP);
extern SEXP rfits_read_key(SEXP,SEXP,SEXP);

/* internal function */
extern void read_col_clean(short,fitsfile*,int*);
extern void read_key_clean(short,fitsfile*);

#endif
